%global file_url   file://%{_datadir}/sgml/docbook/xsl-ns-stylesheets-%{version}
%global xsl_url    http://cdn.docbook.org/release/xsl
%global xsl_ns_url http://docbook.sourceforge.net/release/xsl-ns/current

Summary: Norman Walsh's XSL stylesheets for DocBook 5.X
Name:    docbook5-style-xsl
Version: 1.79.2
Release: 6%{?dist}
License: MIT and MPLv1.1
URL:     https://github.com/docbook/xslt10-stylesheets
Source0: %{url}/releases/download/release/1.79.2/docbook-xsl-1.79.2.zip

Provides: docbook-xsl-ns = %{version}
Requires: xml-common
Requires(post): libxml2
Requires(postun): libxml2

BuildArch: noarch

%description
These XSL namespace aware stylesheets allow you to transform any DocBook 5 document to other formats,
such as HTML, manpages, FO, XHMTL and other formats. They are highly customizable. For more information
see W3C page about XSL.

%package extensions
Summary: Norman Walsh's XSL stylesheets extensions for DocBook 5.X
License: MIT and ASL 2.0
Requires: docbook-xsl-ns = %{version}

%description extensions
This package contains Java extensions for XSL namespace aware stylesheets.

%prep
%autosetup -n docbook-xsl-%{version} -p1
chmod +x epub/bin/dbtoepub

%build

%install
mkdir -p %{buildroot}%{_datadir}/sgml/docbook/xsl-ns-stylesheets-%version
cp -a [[:lower:]]* %{buildroot}%{_datadir}/sgml/docbook/xsl-ns-stylesheets-%version/
cp -a VERSION %{buildroot}%{_datadir}/sgml/docbook/xsl-ns-stylesheets-%version/VERSION.xsl
ln -s VERSION.xsl \
%{buildroot}%{_datadir}/sgml/docbook/xsl-ns-stylesheets-%version/VERSION
ln -s xsl-ns-stylesheets-%{version} \
 %{buildroot}%{_datadir}/sgml/docbook/xsl-ns-stylesheets

rm -rf %{buildroot}%{_datadir}/sgml/docbook/xsl-ns-stylesheets/install.sh

%post
CATALOG=%{_sysconfdir}/xml/catalog
%{_bindir}/xmlcatalog --noout --add "rewriteSystem" "%{xsl_url}/%{version}" "%{file_url}" $CATALOG
%{_bindir}/xmlcatalog --noout --add "rewriteURI" "%{xsl_url}/%{version}" "%{file_url}" $CATALOG
%{_bindir}/xmlcatalog --noout --add "rewriteSystem" "%{xsl_url}/current/" "%{file_url}" $CATALOG
%{_bindir}/xmlcatalog --noout --add "rewriteURI" "%{xsl_url}/current/" "%{file_url}" $CATALOG
%{_bindir}/xmlcatalog --noout --add "rewriteSystem" "%{xsl_ns_url}" "%{file_url}" $CATALOG
%{_bindir}/xmlcatalog --noout --add "rewriteURI" "%{xsl_ns_url}" "%{file_url}" $CATALOG

%postun
if [ "$1" = 0 ]; then
  CATALOG=%{_sysconfdir}/xml/catalog
  %{_bindir}/xmlcatalog --noout --del "%{file_url}" $CATALOG
fi

%files
%license COPYING
%doc BUGS README TODO NEWS RELEASE-NOTES.*
%{_datadir}/sgml/docbook/xsl-ns-stylesheets-%{version}
%{_datadir}/sgml/docbook/xsl-ns-stylesheets
%exclude %{_datadir}/sgml/docbook/xsl-ns-stylesheets-%{version}/extensions

%files extensions
%license extensions/LICENSE.txt
%doc extensions/README.txt
%{_datadir}/sgml/docbook/xsl-ns-stylesheets-%{version}/extensions

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.79.2-6
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.79.2-5
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.79.2-4
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 8 2023 Shuo Wang <abushwang@tencent.com> - 1.79.2-3
- update source0 url

* Tue Feb 21 2023 Shuo Wang <abushwang@tencent.com> - 1.79.2-2
- fix xsl_ns_url name

* Tue Jan 31 2023 Shuo Wang <abushwang@tencent.com> - 1.79.2-1
- initial build
